Package com.independentsoft.office.word.math

# Class MathRunProperties

java.lang.Object
com.independentsoft.office.word.math.MathRunProperties

public class MathRunProperties extends Object
The Class MathRunProperties.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MathRunProperties()`
  Instantiates a new math run properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MathRunProperties`
  `clone()`
  `ExtendedBoolean`
  `getAlignment()`
  Gets the alignment.
  `int`
  `getBreak()`
  Gets the break.
  `ExtendedBoolean`
  `getLiteral()`
  Gets the literal.
  `ExtendedBoolean`
  `getNormalText()`
  Gets the normal text.
  `Script`
  `getScript()`
  Gets the script.
  `MathStyle`
  `getStyle()`
  Gets the style.
  `void`
  `setAlignment​(ExtendedBoolean alignment)`
  Sets the alignment.
  `void`
  `setBreak​(int brk)`
  Sets the break.
  `void`
  `setLiteral​(ExtendedBoolean literal)`
  Sets the literal.
  `void`
  `setNormalText​(ExtendedBoolean normalText)`
  Sets the normal text.
  `void`
  `setScript​(Script script)`
  Sets the script.
  `void`
  `setStyle​(MathStyle style)`
  Sets the style.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MathRunProperties

    public MathRunProperties()
    Instantiates a new math run properties.

- ## Method Details

  - ### clone

    public MathRunProperties clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getAlignment

    public ExtendedBoolean getAlignment()
    Gets the alignment.
    Returns:
      the alignment

  - ### setAlignment

    public void setAlignment​(ExtendedBoolean alignment)
    Sets the alignment.
    Parameters:
      `alignment` - the new alignment

  - ### getBreak

    public int getBreak()
    Gets the break.
    Returns:
      the break

  - ### setBreak

    public void setBreak​(int brk)
    Sets the break.
    Parameters:
      `brk` - the new break

  - ### getLiteral

    public ExtendedBoolean getLiteral()
    Gets the literal.
    Returns:
      the literal

  - ### setLiteral

    public void setLiteral​(ExtendedBoolean literal)
    Sets the literal.
    Parameters:
      `literal` - the new literal

  - ### getNormalText

    public ExtendedBoolean getNormalText()
    Gets the normal text.
    Returns:
      the normal text

  - ### setNormalText

    public void setNormalText​(ExtendedBoolean normalText)
    Sets the normal text.
    Parameters:
      `normalText` - the new normal text

  - ### getScript

    public Script getScript()
    Gets the script.
    Returns:
      the script

  - ### setScript

    public void setScript​(Script script)
    Sets the script.
    Parameters:
      `script` - the new script

  - ### getStyle

    public MathStyle getStyle()
    Gets the style.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(MathStyle style)
    Sets the style.
    Parameters:
      `style` - the new style